<?php
require'fun.php';
require'f_admin.php';
$titlu='Validează poza '.$pid;
$back[1]='<a href="/admin-lista-validari">'.img('administrare.png',1).'Lista validari</a>';
$back[2]='<a href="/admin-poze-ne-validate">'.img('administrare.png',1).'Poze ne validate</a>';
require'f_sus.php';
$info=$conn->query('SELECT`de`,`nume_original`,`valid`,`mica`,`fid`FROM`galerie_poze`WHERE`id`="'.$pid.'"')->fetch_row();
if(($info[2]>0?false:$conn->query('UPDATE`galerie_poze`SET`valid`="'.$de.'"WHERE`id`="'.$pid.'"')))
{
require'f_notificare.php';
$x1='<!-- poza'.$pid.' -->';
if($info[4]>0)
{
$finfo=$conn->query('SELECT`nume`,`tip`,`valoare`FROM`galerie_albume`WHERE`id`="'.$info[4].'"')->fetch_row();
$imagine_album=[$domenii_statice[1].'album_public.gif',$domenii_statice[2].'album_pentru_prieteni.gif',$domenii_statice[1].'album_cu_parola.gif',$domenii_statice[2].'album_pentru_un_singur_membru.gif'];
$x1.='[br/]Din albumul [url=/poze-membru/la/'.$info[0].'-'.seo(nume($info[0],1)).'/album/'.$info[4].'-'.seo($finfo[0]).'][img='.$imagine_album[$finfo[1]].']'.$finfo[0].'[/url]';
if($finfo[1]==3)
notificare('am adăugat pentru tine poza [url=/poza/id/'.$pid.'][img=/'.$info[3].']aceasta[/url]!'.$x1,$finfo[2],$info[0]);
}
if($info[0]!=$de)
notificare('ti-am validat poza [url=/poza/id/'.$pid.'][img=/'.$info[3].']'.$info[1].'[/url]!'.$x1,$info[0],$de);
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Poze",`de`="'.$de.'",`text`="a validat poza [url=/poza/id/'.$pid.'][img=/'.$info[3].']'.$info[1].'[/url]'.$x1.'[br/]Adaugata de",`la`="'.$info[0].'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'<a href="/poza/id/'.$pid.'">Poza '.$pid.'</a> a fost validată!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aceasta poza a fost validată sau ștearsă de către alt administrator!';
echo$div[0];
require'f_jos.php';